Last Comment Bug 627278 - Soft-block Skype extension in all Firefox versions
: Soft-block Skype extension in all Firefox versions
Status: VERIFIED FIXED
[hardblocker] [fx4-fixed-bugday]
:
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: 4.x
: All All
: P1 blocker (vote)
: ---
Assigned To: Justin Scott [:fligtar]
:
: Jorge Villalobos [:jorgev]
Mentors:
http://blog.mozilla.com/addons/2011/0...
Depends on:
Blocks: 546632 615799 627471 629033 635730
  Show dependency treegraph
 
Reported: 2011-01-19 19:06 PST by Justin Scott [:fligtar]
Modified: 2016-03-07 15:30 PST (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+


Attachments

Description Justin Scott [:fligtar] 2011-01-19 19:06:28 PST
See bug 615799 for context and details.

Severity: 1
GUID: {B13721C7-F507-4982-B2E5-502A71474FED}
Products: Firefox
Versions: All

I'll post XML and testing URL shortly.
Comment 1 Justin Scott [:fligtar] 2011-01-19 19:18:50 PST
I just dropped the max version from the existing softblock to get:

    <emItem id="{B13721C7-F507-4982-B2E5-502A71474FED}">
      <versionRange severity="1"/>
    </emItem>

This is live on our staging server, so would appreciate any help in testing it:
https://addons.allizom.org/blocklist/3/%7Bec8030f7-c20a-464f-9b0e-13a3a9e97384%7D/4.0b9pre/Firefox/20101228030339/Darwin_x86_64-gcc3-u-i386-x86_64/en-US/nightly/Darwin%2010.6.0/default/default/10/

(just change the default blocklist pref from addons.mozilla.org to addons.allizom.org to hit our staging blocklist)
Comment 2 christian 2011-01-19 19:25:39 PST
I thought we want to hard block all old versions and soft block just the current version? Wasn't that what was discussed?
Comment 3 Shawn Wilsher :sdwilsh 2011-01-19 19:26:47 PST
Per bug 615799 comment 22, I'm moving the blocking status to this bug.
Comment 4 Justin Scott [:fligtar] 2011-01-19 19:41:49 PST
(In reply to comment #2)
> I thought we want to hard block all old versions and soft block just the
> current version? Wasn't that what was discussed?

Previous versions of the Skype add-on were softblocked and as far as I know, we stopped seeing issues after that. I discussed with Kev and would much rather do a softblock and if we still see crashes, do a hardblock after. Hardblocking always causes outrage from people who want to accept the risks and use the add-on anyway, so I'd rather give people the choice if at all possible.
Comment 5 Justin Scott [:fligtar] 2011-01-20 11:56:32 PST
At some point it appears Skype changed their GUID to {AB2CE124-6272-4b12-94A9-7303C7397BD1}, so the new XML that I just tested in the QA lab is:

    <emItem id="{AB2CE124-6272-4b12-94A9-7303C7397BD1}">
      <versionRange severity="1"/>
    </emItem>
    <emItem id="{B13721C7-F507-4982-B2E5-502A71474FED}">
      <versionRange severity="1"/>
    </emItem>

I'm planning to push this live this afternoon, if anyone else would like to test first. Kev is working on a post about the issue that we'll link to.
Comment 6 Justin Scott [:fligtar] 2011-01-20 18:40:39 PST
Skype is now softblocked.

http://blog.mozilla.com/addons/2011/01/20/blocking-the-skype-toolbar-in-firefox/

Thanks everyone.
Comment 7 Kevin Brosnan 2011-02-04 12:06:35 PST
v. Mozilla/5.0 (Windows NT 5.1; rv:2.0b12pre) Gecko/20110204 Firefox/4.0b12pre
Comment 8 Lilian PM for Skype 2011-02-22 10:24:30 PST
As discussed with Kev and summarized in https://bugzilla.mozilla.org/show_bug.cgi?id=635730 Skype's latest toolbars should be now unblocked.  Can we please update this bug to reflect that versions 5.2.0.7165 and on ward are now unblocked?  if you need information from Skype to do so feel free to ping me directly.

Note You need to log in before you can comment on or make changes to this bug.